%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

%global goipath         github.com/francoispqt/gojay
Version:                1.2.13

%gometa

%global common_description %{expand:
GoJay is a performant JSON encoder/decoder for Golang (currently the most
performant, see benchmarks).

It has a simple API and doesn't use reflection. It relies on small interfaces to
decode/encode structures and slices.

Gojay also comes with powerful stream decoding features and an even faster
Unsafe API.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fastest JSON encoder/decoder with powerful stream API for Golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%build
for cmd in gojay; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d gojay/codegen/test/embedded_struct
%endif

%files
%license LICENSE
%doc gojay/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.13-1
- initial build
